Skip to main content
`Ctrl`+`K`

# BVSetSizesFromVec

Sets the local and global sizes, and the number of columns. Local and global sizes are specified indirectly by passing a template vector.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetSizesFromVec(BV bv,Vec t,PetscInt m)

Collective

## Input Parameters

- bv - the basis vectors

- t - the template vector

- m - the number of columns

## See Also

BV: Basis Vectors, `BVSetSizes()`, `BVGetSizes()`, `BVResize()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages